Name:           libtheora
Version:        1.0
Release:        0.fdr.0.3.alpha3.2
Summary:        The Theora Video Compression Codec.

Group:          System Environment/Libraries
License:        BSD-like
URL:            http://www.theora.org/
Source:         http://www.theora.org/files/%{name}-%{version}alpha3.tar.gz
Patch:          libtheora-1.0alpha3-include.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libogg-devel >= 2:1.1
BuildRequires:  libvorbis-devel >= 1:1.0.1
BuildRequires:  SDL-devel

# this needs to be explicit since vorbis's .so versioning didn't get bumped
# when going from 1.0 to 1.0.1
Requires:       libvorbis >= 1:1.0.1

# Dear Red Hat.  Please get your Requires for -devel packages straight.
# This time, you forgot to make SDL-devel require alsa-lib-devel.
# Love, Thomas.
%{expand:%%define buildforfc2 %(A=$(awk '{print $4}' /etc/fedora-release); if [ "$A" = 2 ]; then echo 1; else echo 0; fi)}

%if %{buildforfc2}
BuildRequires:  alsa-lib-devel
%endif

%description
Theora is Xiph.Org's first publicly released video codec, intended
for use within the Ogg's project's Ogg multimedia streaming system.
Theora is derived directly from On2's VP3 codec; Currently the two are
nearly identical, varying only in encapsulating decoder tables in the
bitstream headers, but Theora will make use of this extra freedom
in the future to improve over what is possible with VP3.

%package        devel
Summary:        Development tools for Theora applications.  
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	libogg-devel >= 2:1.1

%description    devel
The libtheora-devel package contains the header files and documentation
needed to develop applications with Ogg Theora.

%prep
%setup -q -n %{name}-%{version}alpha3
%patch -p1 -b .include-patch

%build
%configure --enable-shared
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
# make sure our temp doc build dir is removed
pwd=`pwd`
rm -rf $pwd/__docs

%makeinstall docdir=$pwd/__docs

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_libdir}/libtheora.so.*

%files devel
%defattr(-,root,root,-)
%doc __docs/*
%{_libdir}/libtheora.a
%{_libdir}/libtheora.so
%dir %{_includedir}/theora
%{_includedir}/theora/theora.h

%changelog
* Mon Jun 07 2004 Michael Schwendt <mschwendt[AT]users.sf.net>
- 1.0-0.fdr.0.3.alpha3:
- add unowned include dir
- install extra documentation
- include *.so.*
- libtheora-devel wants libogg-devel

* Thu May 20 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.fdr.0.2.alpha3: fixes for FC2 (SDL-devel having missing require)

* Mon Mar 29 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.fdr.0.1.alpha3: initial release
